ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vyacheslav Daradur (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (IGNITE-4211) Update Spring dependency to latest stable version
Date Thu, 09 Mar 2017 07:06:38 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-4211?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15902010#comment-15902010
] 

Vyacheslav Daradur edited comment on IGNITE-4211 at 3/9/17 7:06 AM:
--------------------------------------------------------------------

Ready for review ([ci.tests|http://ci.ignite.apache.org/viewLog.html?buildId=488058&tab=buildResultsDiv&buildTypeId=IgniteTests_RunAll]).

Please, look carefully at the new implemented get-method, his logic ([javadoc-api|http://docs.spring.io/spring-framework/docs/current/javadoc-api/org/springframework/cache/Cache.html#get-java.lang.Object-java.util.concurrent.Callable-])

Updated to 4.3.7.RELEASE.

If you have some compilation problems, please clean your local repository (delete folder %USERPROFILE%\.m2\repository\org\springframework).


was (Author: daradurvs):
Ready for review ([ci.tests|http://ci.ignite.apache.org/viewLog.html?buildId=488058&tab=buildResultsDiv&buildTypeId=IgniteTests_RunAll]).

Please, look carefully at the new implemented get-method, his logic ([javadoc-api|http://docs.spring.io/spring-framework/docs/current/javadoc-api/org/springframework/cache/Cache.html#get-java.lang.Object-java.util.concurrent.Callable-])

Updated to 4.3.7.RELEASE.

If you have some compilation problems, please clean your local repository (delete folder %USERPROFILE%.m2\repository\org\springframework).

> Update Spring dependency to latest stable version
> -------------------------------------------------
>
>                 Key: IGNITE-4211
>                 URL: https://issues.apache.org/jira/browse/IGNITE-4211
>             Project: Ignite
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 1.7
>            Reporter: Sergey Kozlov
>            Assignee: Vyacheslav Daradur
>             Fix For: 2.0
>
>
> It seems the Spring dependency looks outdated for now. Apache Ignite still uses 4.1.0
released two years ago. Could we to update to latest stable version (4.3.4 at the moment)?



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message